JKT48Connect

News & Events Endpoints

Documentation for the /api/jkt48/news and /api/jkt48/events endpoints to fetch news and event information about JKT48.

GET /api/jkt48/news

This endpoint returns the latest news and announcements from JKT48.

Request

GET https://v2.jkt48connect.com/api/jkt48/news?apikey=YOUR_API_KEY
ParameterTypeRequiredDescription
apikeystringAPI key for authentication

Example Response

[
  {
    "title": "JKT48 11th Anniversary Concert",
    "content": "JKT48 will hold its 11th anniversary concert...",
    "date": "2025-04-01",
    "image": "https://jkt48.com/images/news/anniversary.jpg",
    "url": "https://jkt48.com/news/detail/id/1234"
  }
]

Response Structure

FieldTypeDescription
titlestringNews headline
contentstringNews content/summary
datestringPublication date
imagestringNews image URL
urlstringLink to the full article

Usage Examples

const API_KEY = 'YOUR_API_KEY';

async function getLatestNews() {
  const response = await fetch(
    `https://v2.jkt48connect.com/api/jkt48/news?apikey=${API_KEY}`
  );
  const news = await response.json();
  
  console.log('📰 Latest JKT48 News:\n');
  
  news.forEach(article => {
    console.log(`📌 ${article.title}`);
    console.log(`   📅 ${article.date}`);
    console.log(`   🔗 ${article.url}\n`);
  });
}

getLatestNews();

GET /api/jkt48/events

This endpoint returns a list of JKT48 events and off-air shows.

Request

GET https://v2.jkt48connect.com/api/jkt48/events?apikey=YOUR_API_KEY
ParameterTypeRequiredDescription
apikeystringAPI key for authentication

Example Response

[
  {
    "title": "JKT48 HS Event",
    "date": "2025-04-15",
    "venue": "Mall Kota Kasablanka",
    "description": "Handshake event featuring JKT48 members",
    "members": ["Shani", "Fritzy", "Christy"]
  }
]

Response Structure

FieldTypeDescription
titlestringEvent name
datestringEvent date
venuestringEvent location
descriptionstringEvent description
membersarrayList of participating members

Usage Examples

const API_KEY = 'YOUR_API_KEY';

async function getEvents() {
  const response = await fetch(
    `https://v2.jkt48connect.com/api/jkt48/events?apikey=${API_KEY}`
  );
  const events = await response.json();
  
  console.log('🎪 JKT48 Events:\n');
  
  events.forEach(event => {
    console.log(`🎯 ${event.title}`);
    console.log(`   📅 ${event.date}`);
    console.log(`   📍 ${event.venue}`);
    console.log(`   📝 ${event.description}\n`);
  });
}

getEvents();
import requests

API_KEY = 'YOUR_API_KEY'

def get_events():
    response = requests.get(
        f"https://v2.jkt48connect.com/api/jkt48/events?apikey={API_KEY}"
    )
    response.raise_for_status()
    events = response.json()
    
    print("🎪 JKT48 Events:\n")
    
    for event in events:
        print(f"🎯 {event['title']}")
        print(f"   📅 {event['date']}")
        print(f"   📍 {event.get('venue', 'TBA')}")
        print(f"   📝 {event.get('description', '')}\n")

get_events()

Tips

  • News articles are sorted starting from the newest
  • Events cover handshake events, concerts, and off-air shows
  • Some events may have a members field that lists participating members

On this page